<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">TerrainQuadTreeNode</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::TerrainQuadTreeNode Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a00f0af5c87629eadd07f6063284573f8">_getRenderable</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ac03be7a6beb8e94439c51cdce1c2985e">assignVertexData</a>(uint16 treeDepthStart, uint16 treeDepthEnd, uint16 resolution, uint sz)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ad182038d7c054c707dd52f032cafcfdc">calcSkirtVertexIndex</a>(uint16 mainIndex, bool isCol)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a619cb859cf6a6501ab3c60bf2674cc1b">calculateCurrentLod</a>(const Camera *cam, Real cFactor)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ae90d10329e2cb2972064dad90a685384">createCpuVertexData</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a1d8dc3c8f7f872ce7f20618f4565116f">createGpuIndexData</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a0a6f65ddae9e51427d098323af790190">createGpuVertexData</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a570b17be150e8de773197f801a6a2a2e">DELTA_BUFFER</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a9e17fca361d81b02be1ea1dcdbbb3a23">destroyCpuVertexData</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ab5bbe0c76eefa160c2532ab4325dfa1d">destroyGpuIndexData</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ad404f8d6bfd7cfa46a94d575f52c4a97">destroyGpuVertexData</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ac0400ce23ffa563bd4b310c946017b9a">finaliseDeltaValues</a>(const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#acd379b99ea2ae3916e04c72987e64aeb">getAABB</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#aac7c8ab3539e51c3fbddcf1dff81b6d7">getBaseLod</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#af5f663ae6890722da26e8f672b5dc624">getBoundingRadius</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a61210ffb3d469e5183505a240af5adeb">getCastsShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a44dd6c0d4112adeb4b81ef2829218885">getChild</a>(unsigned short child) const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#af7ad418d38e5ee30b84331651ed8f80e">getCurrentLod</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a2072833418ada55ec3fc11d67f1fc240">getLights</a>(void) const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#aa7b2e9389c63c9616a00df63ff839e1c">getLocalCentre</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#acb2496949eb6255de21b494c1321b344">getLodCount</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a14c742793b0983c19e0993d25f6ed678">getLodLevel</a>(uint16 lod)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a2e6813c2a631ca72f9cfb67e643c67e0">getLodTransition</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a2755c87d39dc43dc6e401dccbd90a4ab">getMaterial</a>(void) const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a374271555470bb44793986d8852813db">getMaxHeight</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a44ee05c3c03a6afb8e705f20419d0a28">getMinHeight</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a3d4a09c8017372f0f3e1b36a4340f6f9">getParent</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a5afee23bdb65aba9f92a638b571981af">getRenderOperation</a>(RenderOperation &amp;op)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a7fd90609dfa3eaf0ca1e83893d2f8011">getSquaredViewDepth</a>(const Camera *cam) const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a774471589b1ae5a138b9e9d7436c1bb4">getTechnique</a>(void) const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a5c28e85f150a95fbc3905aed31b9584e">getTerrain</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ac4ffbda7e5db1240a7a7aaa3d028f8cd">getVertexDataRecord</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a8cc0201a56fd59d7fa0bce5c99032aac">getWorldTransforms</a>(Matrix4 *xform) const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ac4f29eb4f9c0cbc296eac339a337c6f7">getXOffset</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a1deab7853bb57db2abb588f9298cba5e">getYOffset</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ae76e42523518690de03d4bd3fd00a2b6">isLeaf</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a14a055f2f8dff244e224449c9f9e995c">isRenderedAtCurrentLod</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ac2c4f262b0d425c27428ef9436b625df">isSelfOrChildRenderedAtCurrentLod</a>() const </td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a640fe3ce61b4c3d342ef6df439c27595">load</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a475e46c4f95eafc0ec21489eeaafb1c5">LodLevelList</a> typedef</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a75d59573fa76b63c4192800730921143">mAABB</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a4824f29784d2b7d91184c33d90fdafb6">mBaseLod</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a9b51da55fe2906683ed003e155020be4">mBoundaryX</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#aa758c517214742b3b3c489cd3e6cdc77">mBoundaryY</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#adede028d5166828c7be7e5fe404e9fae">mBoundingRadius</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ac36b39f45c3c06658df823f5f47513a7">mChildren</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a301fec692f7abcf07fa8bda970c0578a">mChildWithMaxHeightDelta</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a5ee1ac9952ea6b7fb8b024d0475a003c">mCurrentLod</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a49a7dedeb4f8ef1515344f51894826ad">mDepth</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a8700cbc04c5a88fc98fcb9801440ab01">mergeIntoBounds</a>(long x, long y, const Vector3 &amp;pos)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#adb524712050d45c32402dd70793285c2">mLocalCentre</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ab8aa4a53fe2ccfd98c14edc0b039647c">mLocalNode</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a13568bae644a58f7bda17dac14808cdc">mLodLevels</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#aa203ffdfe0530da9a5bea6d08c9ecbbd">mLodTransition</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a58275eb91d1c3b75fc26436d1e4c8a8c">mMaterialLodIndex</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a53f019b3e9a2e55083fa0da83656ff42">mMovable</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a2d5345464d1721cc117a69e6b03ea353">mNodeWithVertexData</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a1d2db7ac81d8fabaee51b207e351dbde">mOffsetX</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a2261090f671b4ab8456310dba8adc573">mOffsetY</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a580bc16a3fc18eb382fed53c6a31c365">Movable</a> class</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a8aa424c4ecee60664385e946e2e739f0">mParent</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a98975312f287bf573bb41306564d12f2">mQuadrant</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ae9d0bfee226c6d64db14d75738242183">mRend</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a8b96f34a1e15ca520df2444db6a9ecaa">mSelfOrChildRendered</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a8683463075875eaae70033a2b58524ab">mSize</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a2bfcacb272c82b9463d08351a9392f58">mTerrain</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a4212bf24207e2c5afc8327155e28f188">mVertexDataRecord</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ad3f99f3c71c1bff1d323007020f813d5">notifyDelta</a>(uint16 x, uint16 y, uint16 lod, Real delta)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a67493d0f5329e958ea9747e30b32fa55">pointIntersectsNode</a>(long x, long y)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a3311e153977216db1475848f111c1a9e">populateIndexData</a>(uint16 batchSize, IndexData *destData)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ad2d323266710dcd2847eeb20af7ed734">POSITION_BUFFER</a></td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a27b042a63b10b1eab460404b69054cf6">postDeltaCalculation</a>(const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a15a0aedbb91a7304d1802456f66ab6e5">preDeltaCalculation</a>(const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a440a2d098b05930f9c041bcce1fc3a90">prepare</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a6bac673d08ec9c0a2ede17eb16760aac">prepare</a>(StreamSerialiser &amp;stream)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ab89d0817244bb68ab25500eec8c360c2">rectContainsNode</a>(const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#af27dbb3371e5c51772e304eef37afb3f">rectIntersectsNode</a>(const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ad27630b21ec9f09d2b5f23dffd484aa7">Rend</a> class</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a9cce18f539fce6e45f71dfe533864eef">resetBounds</a>(const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ac99dc8a7163f38da4944bffc25a76df7">save</a>(StreamSerialiser &amp;stream)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a61cddd999eed248ede1e7015b17040e0">setCurrentLod</a>(int lod)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#aef26e2fc5a8ce61b42111b85bd8bcbea">setLodTransition</a>(float t)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a05457470c9da0ed6ebff4c32159d6395">TerrainQuadTreeNode</a>(Terrain *terrain, TerrainQuadTreeNode *parent, uint16 xoff, uint16 yoff, uint16 size, uint16 lod, uint16 depth, uint16 quadrant)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a00fd0fa40466d2d443c7f65fb6c9c4fd">unload</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ad7ab8a8510a9a070486fcafd6d7acd02">unprepare</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#ac93da92ab99cbfb33a835d44cb22764b">updateGpuVertexData</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a5990c9d00156668b4f132e05ecff5ac8">updateRenderQueue</a>(RenderQueue *queue)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#acc15436df5afd771f80a92b6962877eb">updateVertexBuffer</a>(HardwareVertexBufferSharedPtr &amp;posbuf, HardwareVertexBufferSharedPtr &amp;deltabuf, const Rect &amp;rect)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a7e0ca778e275f9fd825a97fcf223fe36">updateVertexData</a>(bool positions, bool deltas, const Rect &amp;rect, bool cpuData)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a20aec2a5359be7a4621188e98c6fdd4e">useAncestorVertexData</a>(TerrainQuadTreeNode *owner, uint16 treeDepthEnd, uint16 resolution)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a44db0273b9ba10bca29d7408c513f40d">visitRenderables</a>(Renderable::Visitor *visitor, bool debugRenderables=false)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a030e3b5fac02d06de41341fc83c814a7">writeDeltaVertex</a>(bool compress, uint16 x, uint16 y, float delta, float deltaThresh, float **ppDelta)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a74b401033f3138135f7cd2ea72c96d37">writePosVertex</a>(bool compress, uint16 x, uint16 y, float height, const Vector3 &amp;pos, float uvScale, float **ppPos)</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html#a525a7166daaa69292b2350de66784f58">~TerrainQuadTreeNode</a>()</td><td><a class="el" href="classOgre_1_1TerrainQuadTreeNode.html">Ogre::TerrainQuadTreeNode</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
